## org.eclipse.emf.codegen.jet
Class JETCharDataGenerator

    java.lang.Object
      org.eclipse.emf.codegen.jet.JETCharDataGenerator

All Implemented Interfaces:
  JETGenerator

Direct Known Subclasses:
  JETConstantDataGenerator

    public class JETCharDataGenerator

extends java.lang.Object
implements JETGenerator

The JETCharDataGenerator generates strings for the character data present in the template file.

Field Summary
`protected char[]` `characters`
`protected static java.lang.String` `FUNCTION_CALL_BEGIN`
`protected static java.lang.String` `FUNCTION_CALL_END`
`protected static java.lang.String` `NEW_LINE_BEGIN`
`protected static java.lang.String` `NEW_LINE_END`
`protected static java.lang.String` `NEW_LINE_MIDDLE`

Constructor Summary
`JETCharDataGenerator(char[] characters)`

Method Summary
`java.lang.String` `generate()`
`protected java.lang.String` `generateCharData()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### FUNCTION_CALL_BEGIN

    protected static final java.lang.String FUNCTION_CALL_BEGIN

See Also:
  Constant Field Values

### FUNCTION_CALL_END

    protected static final java.lang.String FUNCTION_CALL_END

See Also:
  Constant Field Values

### NEW_LINE_BEGIN

    protected static final java.lang.String NEW_LINE_BEGIN

See Also:
  Constant Field Values

### NEW_LINE_MIDDLE

    protected static final java.lang.String NEW_LINE_MIDDLE

See Also:
  Constant Field Values

### NEW_LINE_END

    protected static final java.lang.String NEW_LINE_END

See Also:
  Constant Field Values

### characters

    protected char[] characters

Constructor Detail

### JETCharDataGenerator

    public JETCharDataGenerator(char[] characters)

Method Detail

### generate

    public java.lang.String generate()

  Specified by:
    `generate` in interface `JETGenerator`

### generateCharData

    protected java.lang.String generateCharData()

Copyright 2001-2006 IBM Corporation and others. All Rights Reserved.